## sofa-framework 1.0~beta4

=== debian/changelog ===
sofa-framework (1.0~beta4-6.1) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with GCC 4.7 (Matej Vela). Closes: #673841.

 -- Matthias Klose <doko@debian.org>  Tue, 29 May 2012 09:18:41 +0000

sofa-framework (1.0~beta4-6) unstable; urgency=low

  [ Nelson A. de Oliveira ]
  * Fix menu file
  * Updated build-dependency on libqwt-dev (Closes: #638170)

  [ Andreas Tille ]
  * debian/control:
    - Standards-Version: 3.9.2 (no changes needed)
    - Fixed Vcs-Svn
    - Build-Depends:
      + s/libpng-dev/libpng12-dev/
      + s/libqwt-dev/libqwt5-qt4-dev/
  * debian/rules
    - Do not remove extlibs/tinyxml in clean target which is just
      part of the upstream source.  The proper place to remove things
      like this would be in get-orig-source.
    - Polishing after clean target which leaves several files hanging
      around
  * debian/patches/qwt5-qt4.patch: Sofa does not build properly with
    libqwt-dev so adjusting include directory and fixing some header
    file is needed
  * debian/sofa.1: Fixed spelling error

 -- Andreas Tille <tille@debian.org>  Tue, 13 Dec 2011 12:55:52 +0100

sofa-framework (1.0~beta4-5.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix build failure due to new TinyXML 2.6 (Closes: #628114).
    Thanks to Felix Geyer for the patch.
  * Bump build-dep on libtinyxml-dev to 2.6.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 29 May 2011 18:02:12 +0200

sofa-framework (1.0~beta4-5) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * debian/rules: drop the quilt patch/unpatch logic
  * patches/fix_mutable_serr_sout.diff: remove mutable keyword (Closes: #625059)
  * bump Standards-Version: 3.9.1 (no changes)
  * set debian/compat to 8
  * debian/control: removed duplicated "section" fields
  * Changed debian/sofa.desktop's category to Education;Science
  *  (Closes: #594671, LP: #605497)

 -- Dominique Belhachemi <domibel@debian.org>  Sat, 07 May 2011 20:21:51 -0400

sofa-framework (1.0~beta4-4) unstable; urgency=low

  * use Debian's libtinyxml-dev (Closes: #573941)
  * reduce optimization level to -O1 as a workaround for
    linking failure (Thanks to Ilya Barygi) (Closes: #560104)
  * fixed FTBFS for SuperH (Thanks to Nobuhiro Iwamatsu) (Closes: #567223)

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Tue, 16 Mar 2010 17:42:22 -0400

sofa-framework (1.0~beta4-3) unstable; urgency=low

  [Dominique Belhachemi]
  * added linker option --no-add-needed (Closes: #556352)
    libdl had to be added to the list of libraries
  * switched from dpatch to quilt
  * added debain/README.source
  * removed dh_desktop from debian/rules

  [Andreas Tille]
  * debian/control:
    - Added missing Vcs tags
    - Standards-Version: 3.8.3 (no changes)

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Sun, 06 Dec 2009 20:18:59 -0500

sofa-framework (1.0~beta4-2) unstable; urgency=low

  * csparse support disabled because it conflicts with the
    newer version in libsuitesparse-dev (Closes: #532693)
  * Build-Conflicts: qt3-dev-tools added
  * lost GCC 4.4 patches added (Closes: #532396)

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Wed, 17 Jun 2009 23:10:35 -0400

sofa-framework (1.0~beta4-1) unstable; urgency=low

  * new upstream release
  * Qt OGRE 3D viewer disabled (Closes: #527706)
  * MIPS/ARM patch, AMD64 patch and Newmat patch removed because they
    have been applied by upstream (Thanks to Everton Hermann)

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Sun, 07 Jun 2009 14:35:15 -0400

sofa-framework (1.0~beta3-5) unstable; urgency=low

  * set SOFA_QT4 explicitly
  * added #include headers required by GCC 4.4 (Closes: #505953)
  * added missing PML files
  * fixed sofa wrapper

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Sat, 15 Nov 2008 19:45:47 +0100

sofa-framework (1.0~beta3-4) unstable; urgency=low

  * PML/LML support enabled
  * PNG support enabled
  * Qt OGRE 3D viewer enabled
  * debian/control: doxygen & graphviz moved to Build-Depends-Indep

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Wed, 12 Nov 2008 20:36:57 +0100

sofa-framework (1.0~beta3-3) unstable; urgency=low

  * fixed build-indep issue (Closes: #503555)
  * fixed MIPS and ARM build error (sqrt/sqrtl)
  * fixed installation for man page (Closes: #504927)

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Sat, 08 Nov 2008 01:50:23 +0100

sofa-framework (1.0~beta3-2) unstable; urgency=low

  * fixed segfault on amd64
  * build arch all packages only in the binary-indep target (Closes: #503555)
  * fixed MIPS and ARM build error (sqrt/sqrtl)

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Thu, 30 Oct 2008 19:23:49 +0100

sofa-framework (1.0~beta3-1) unstable; urgency=low

  * Initial release (Closes: #455064)

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Wed, 13 Aug 2008 10:26:03 +0100
