=== debian/control ===
Source: sofa-framework
Section: graphics
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Dominique Belhachemi <domibel@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 8),
               freeglut3-dev,
               libboost-dev,
               libboost-graph-dev,
               libboost-thread-dev,
               libglew-dev,
               libnewmat10-dev,
               libpng12-dev,
               libqt4-dev,
               libqt4-opengl-dev,
               libqwt5-qt4-dev,
               libtinyxml-dev (>= 2.6),
               libxml2-dev,
               pkg-config,
               quilt
Build-Depends-Indep: doxygen, graphviz
Build-Conflicts: qt3-dev-tools
Standards-Version: 3.9.2
Homepage: http://www.sofa-framework.org/
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/sofa-framework/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/sofa-framework/trunk/

Package: sofa-apps
Architecture: any
Depends: libsofa1 (= ${binary:Version}),
         sofa-data,
         ${misc:Depends},
         ${shlibs:Depends}
Description: GUI for the Simulation Open Framework Architecture (SOFA)
 SOFA is an Open Source framework primarily targeted at
 real-time simulation, with an emphasis on medical simulation.
 It is mostly intended for the research community to help
 develop newer algorithms, but can also be used as an efficient
 prototyping tool.
 .
 This package contains the SOFA main application.

Package: libsofa1-dev
Section: libdevel
Architecture: any
Depends: libsofa1 (= ${binary:Version}), ${misc:Depends}
Suggests: sofa-doc, sofa-tutorials
Description: Simulation Open Framework Architecture - development
 SOFA is an Open Source framework primarily targeted at
 real-time simulation, with an emphasis on medical simulation.
 It is mostly intended for the research community to help
 develop newer algorithms, but can also be used as an efficient
 prototyping tool.
 .
 This package contains the development files needed to build your own
 SOFA applications.

Package: libsofa1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Simulation Open Framework Architecture - runtime
 SOFA is an Open Source framework primarily targeted at
 real-time simulation, with an emphasis on medical simulation.
 It is mostly intended for the research community to help
 develop newer algorithms, but can also be used as an efficient
 prototyping tool.
 .
 This package contains the libraries needed to run SOFA applications.

Package: sofa-tutorials
Architecture: all
Depends: ${misc:Depends}
Description: Simulation Open Framework Architecture - tutorials
 SOFA is an Open Source framework primarily targeted at
 real-time simulation, with an emphasis on medical simulation.
 It is mostly intended for the research community to help
 develop newer algorithms, but can also be used as an efficient
 prototyping tool.
 .
 This package contains tutorials from the SOFA source.

Package: sofa-data
Architecture: all
Depends: ${misc:Depends}
Description: Simulation Open Framework Architecture - data
 SOFA is an Open Source framework primarily targeted at
 real-time simulation, with an emphasis on medical simulation.
 It is mostly intended for the research community to help
 develop newer algorithms, but can also be used as an efficient
 prototyping tool.
 .
 This package contains data for the SOFA applications.

Package: sofa-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: SOFA class reference documentation
 SOFA is an Open Source framework primarily targeted at
 real-time simulation, with an emphasis on medical simulation.
 It is mostly intended for the research community to help
 develop newer algorithms, but can also be used as an efficient
 prototyping tool.
 .
 This package contains exhaustive HTML documentation for the all the
 documented C++ classes.
