=== debian/watch ===
version=3
opts="dversionmangle=s/~/-/" \
http://www.sofa-framework.org/download \
http://gforge.inria.fr/frs/download.php/.*/sofa-framework-(.*)\.zip
